# tr1_impl/array File Reference

Go to the source code of this file.

## Classes

- struct std::array< _Tp, _Nm >
    A standard container for storing a fixed size sequence of elements. More...

## Namespaces

- namespace std

## Functions

- template<std::size_t _Int, typename _Tp , std::size_t _Nm> const _Tp & std::get (const array< _Tp, _Nm > &__arr)
- template<std::size_t _Int, typename _Tp , std::size_t _Nm> _Tp & std::get (array< _Tp, _Nm > &__arr)
- template<typename _Tp , std::size_t _Nm> bool std::operator!= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp , std::size_t _Nm> bool std::operator< (const array< _Tp, _Nm > &__a, const array< _Tp, _Nm > &__b)
- template<typename _Tp , std::size_t _Nm> bool std::operator<= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp , std::size_t _Nm> bool std::operator== (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp , std::size_t _Nm> bool std::operator> (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp , std::size_t _Nm> bool std::operator>= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp , std::size_t _Nm> void std::swap (array< _Tp, _Nm > &__one, array< _Tp, _Nm > &__two)

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file tr1_impl/array.